# FUSS 10 to 11
## In-place upgrade of FUSS Clients

### Quickstart

On the FUSS Server

```bash
cd /srv/clonezilla
git clone https://gitlab.fuss.bz.it/fuss-team/fuss-nine-to-ten.git
cd fuss-nine-to-ten
git checkout ten-to-eleven
./install_menu_option.sh
```

and you're ready to go. Boot from LAN a PC and you'll see the new "FUSS 10 to 11 in-place upgrade" option.


### Packages caching

Install and run fuss-server > 10.0.45, so that `squid-deb-proxy` is installed
and configured.

finally, add the custom configuration for the proxy in FUSS nine-to-ten files:
```bash
cat > /srv/clonezilla/fuss-nine-to-ten/apt-custom-proxy.conf <<EOF
Acquire::http::proxy "http://SER.VE.R.IP:8000";
Acquire::https::proxy "http://SER.VE.R.IP:8000";
EOF
```

### Launching from OctoNet / OctoFUSS Client

You can use the "Script" feature of OctoNet to trigger an update to a client.

To use it you need to create some links to file installed in `/srv/clonezilla/fuss-nine-to-ten/` under `/var/www/fuss-data-conf/` so they can downloaded by the fuss-server.

You need to execute:
```
ln -s /srv/clonezilla/fuss-nine-to-ten/run_upgrade /var/www/fuss-data-conf/
ln -s /srv/clonezilla/fuss-nine-to-ten/upgrade.yml /var/www/fuss-data-conf/
ln -s /srv/clonezilla/fuss-nine-to-ten/rc.local /var/www/fuss-data-conf/
```

Then you need to copy the content of the `octonet_script.sh` file into a new script in octonet (under http://localhost:13402/script/create), add an execution and program it as you would do normally.

Take into account that `octonet-client` will look for script to excute at boot and every 5 minutes, so the execution is not immediate.

You can also test the procedure on a single machine just copying the `octonet_script.sh` file on it, giving execute permission and launching. Be aware that it will reboot the machine immediatly.